define([
	"dojo/_base/declare",
	"aps/_View"
], function(declare, _View) {

	return declare(_View, {
		init: function() {
			
			return ["aps/Panel", {title: "Form Elements"}, [
				["aps/FieldSet", [
					["aps/TextBox", {
						label: "Date",
						type: 'date'
					}],
					["aps/TextBox", {
						label: "Search",
						type: 'search'
					}],
					["aps/TextBox", {
						label: "Password",
						type: 'password'
					}],
					["aps/TextBox", {
						label: "URL",
						type: 'url'
					}],
					["aps/TextBox", {
						label: "Numbers",
						type: 'tel'
					}],
					["aps/TextBox", {
						label: "Text",
						type: 'text'
					}]
				]]
			]];
		},

		onShow: function() {

		}
	});
});